Loading...
Searching...
No Matches
img_info Struct Reference

## Public Member Functions

| img_info ()
| ~img_info ()
void | init (ui32 num_comps, size_t width, size_t height, ui32 bit_depth, bool is_signed, ui32 format=FORMAT444)
bool | exist ()

## Public Attributes

ui32 | num_comps
size_t | width
size_t | height
point | downsampling [3]
si32 * | comps [3]
ui32 | format
ui32 | bit_depth
bool | is_signed

## Detailed Description

Definition at line 57 of file mse_pae.cpp.

## Constructor & Destructor Documentation

## img_info()

img_info::img_info | ( |  | ) |

inline

Definition at line 58 of file mse_pae.cpp.

References bit_depth, comps, format, height, is_signed, num_comps, UNDEFINED, and width.

## ~img_info()

img_info::~img_info | ( |  | ) |

inline

Definition at line 66 of file mse_pae.cpp.

References comps, and num_comps.

## Member Function Documentation

## exist()

bool img_info::exist | ( |  | ) |

inline

Definition at line 110 of file mse_pae.cpp.

References comps.

## init()

void img_info::init | ( | ui32 | num_comps,
|  | size_t | width,
|  | size_t | height,
|  | ui32 | bit_depth,
|  | bool | is_signed,
|  | ui32 | format = FORMAT444 )

inline

Definition at line 74 of file mse_pae.cpp.

References bit_depth, comps, downsampling, format, FORMAT400, FORMAT420, FORMAT422, FORMAT444, height, is_signed, num_comps, and width.

Referenced by load_ppm(), load_rawl(), and load_yuv().

## Member Data Documentation

## bit_depth

ui32 img_info::bit_depth

Definition at line 119 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), img_info(), and init().

## comps

si32* img_info::comps[3]

Definition at line 117 of file mse_pae.cpp.

Referenced by exist(), find_mse_pae(), find_nlt_mse_pae(), img_info(), init(), load_ppm(), load_rawl(), load_yuv(), and ~img_info().

## downsampling

point img_info::downsampling[3]

Definition at line 116 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), init(), and load_yuv().

## format

ui32 img_info::format

Definition at line 118 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), img_info(), and init().

## height

size_t img_info::height

Definition at line 115 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), img_info(), and init().

## is_signed

bool img_info::is_signed

Definition at line 120 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), img_info(), and init().

## num_comps

ui32 img_info::num_comps

Definition at line 114 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), img_info(), init(), main(), and ~img_info().

## width

size_t img_info::width

Definition at line 115 of file mse_pae.cpp.

Referenced by find_mse_pae(), find_nlt_mse_pae(), img_info(), and init().

The documentation for this struct was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/tests/mse_pae.cpp